Create a custom domain verification
POST
/auth/v1/memberships/{orgId}/domainRegisters a custom domain for the organization and issues verification details to prove ownership.
Authorization
Bearer Authorization<token>
In: header
Path Parameters
orgId*string
Organization ID
Request Body
requiredapplication/json{
"$ref": "#/components/schemas/internal_auth.createDomainBody",
"$ref-value": {
"properties": {
"domain": {
"type": "string"
}
},
"required": [
"domain"
],
"type": "object"
}
}Response Body
201application/json
Created
type: unknown
{
"$ref": "#/components/schemas/authv1.DomainResponse",
"$ref-value": {
"properties": {
"auto_join": {
"type": "boolean"
},
"domain": {
"type": "string"
},
"expires_at": {
"type": "string"
},
"id": {
"type": "string"
},
"message": {
"type": "string"
},
"present": {
"type": "boolean"
},
"status": {
"type": "string"
},
"verification_token": {
"type": "string"
},
"verified_at": {
"type": "string"
}
},
"type": "object"
}
}curl -X POST "https://api.rixl.com/auth/v1/memberships/string/domain" \
-H "Content-Type: application/json" \
-d '{
"domain": "string"
}'Created
application/json
{
"$ref": "#/components/schemas/authv1.DomainResponse",
"$ref-value": {
"properties": {
"auto_join": {
"type": "boolean"
},
"domain": {
"type": "string"
},
"expires_at": {
"type": "string"
},
"id": {
"type": "string"
},
"message": {
"type": "string"
},
"present": {
"type": "boolean"
},
"status": {
"type": "string"
},
"verification_token": {
"type": "string"
},
"verified_at": {
"type": "string"
}
},
"type": "object"
}
}